Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.event
Interface CrawlStatusListener

All Known Implementing Classes:
  AbstractFrontier, AbstractTracker, AdaptiveRevisitFrontier, ARCWriterProcessor, BdbFrontier, CrawlJob, CrawlJobHandler, DomainSensitiveFrontier, FetchHTTP, PersistLogProcessor, PersistStoreProcessor, SelfTestCrawlJobHandler, StatisticsTracker, WARCWriterProcessor, WorkQueueFrontier, WriterPoolProcessor

    public interface CrawlStatusListener

Listen for CrawlStatus events. Classes that implement this interface can register themselves with a CrawlController to receive notifications about the events that affect a crawl job's current status.

Author:
  Kristinn Sigurdsson
See Also:
  `CrawlController.addCrawlStatusListener(CrawlStatusListener)`

Method Summary
`void` | `crawlCheckpoint(java.io.File checkpointDir)` Called by `CrawlController` when checkpointing.
`void` | `crawlEnded(java.lang.String sExitMessage)` Called when a CrawlController has ended a crawl and is about to exit.
`void` | `crawlEnding(java.lang.String sExitMessage)` Called when a CrawlController is ending a crawl (for any reason)
`void` | `crawlPaused(java.lang.String statusMessage)` Called when a CrawlController is actually paused (all threads are idle).
`void` | `crawlPausing(java.lang.String statusMessage)` Called when a CrawlController is going to be paused.
`void` | `crawlResuming(java.lang.String statusMessage)` Called when a CrawlController is resuming a crawl that had been paused.
`void` | `crawlStarted(java.lang.String message)` Called on crawl start.

Method Detail

### crawlStarted

    void crawlStarted(java.lang.String message)

  Called on crawl start.

  Parameters:
    `message` - Start message.

### crawlEnding

    void crawlEnding(java.lang.String sExitMessage)

  Called when a CrawlController is ending a crawl (for any reason)

  Parameters:
    `sExitMessage` - Type of exit. Should be one of the STATUS constants in defined in CrawlJob.
  See Also:
    `CrawlJob`

### crawlEnded

    void crawlEnded(java.lang.String sExitMessage)

  Called when a CrawlController has ended a crawl and is about to exit.

  Parameters:
    `sExitMessage` - Type of exit. Should be one of the STATUS constants in defined in CrawlJob.
  See Also:
    `CrawlJob`

### crawlPausing

    void crawlPausing(java.lang.String statusMessage)

  Called when a CrawlController is going to be paused.

  Parameters:
    `statusMessage` - Should be `STATUS_WAITING_FOR_PAUSE`. Passed for convenience

### crawlPaused

    void crawlPaused(java.lang.String statusMessage)

  Called when a CrawlController is actually paused (all threads are idle).

  Parameters:
    `statusMessage` - Should be `CrawlJob.STATUS_PAUSED`. Passed for convenience

### crawlResuming

    void crawlResuming(java.lang.String statusMessage)

  Called when a CrawlController is resuming a crawl that had been paused.

  Parameters:
    `statusMessage` - Should be `CrawlJob.STATUS_RUNNING`. Passed for convenience

### crawlCheckpoint

    void crawlCheckpoint(java.io.File checkpointDir)
                         throws java.lang.Exception

  Called by `CrawlController` when checkpointing.

  Parameters:
    `checkpointDir` - Checkpoint dir. Write checkpoint state here.
  Throws:
    `java.lang.Exception` - A fatal exception. Any exceptions that are let out of this checkpoint are assumed fatal and terminate further checkpoint processing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.